Bug 917412 - Review Request: nodejs-millstone - Prepares data sources in an MML file for consumption in Mapnik
Summary: Review Request: nodejs-millstone - Prepares data sources in an MML file for c...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 915484 915488 917308 917312
Blocks: 917413
TreeView+ depends on / blocked
 
Reported: 2013-03-04 00:19 UTC by Tom Hughes
Modified: 2013-04-07 00:38 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-07 00:38:17 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2013-03-04 00:19:14 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-millstone.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-millstone-0.5.15-1.fc18.src.rpm
Fedora Account System Username: tomh

Description:
As of carto 0.2.0, the Carto module expects all data sources and
resources to be localized - remote references like URLs and providers
are not downloaded when maps are rendered.

Millstone now contains this logic - it provides two functions, resolve
and flush. Resolve takes an MML file and returns a localized version, and
flush can be used to clear the cache of a specific resource.

Comment 1 Jamie Nguyen 2013-03-10 16:28:32 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- License field in the package spec file matches the actual license.
  Note: Checking patched sources after %prep for licenses. No licenses found.
  Please check the source files for licenses manually.
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-millstone-0.5.15-1.fc18.noarch.rpm
nodejs-millstone.noarch: W: spelling-error %description -l en_US carto -> cart, carton, carts
nodejs-millstone.noarch: W: only-non-binary-in-usr-lib
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/sqlite3 /usr/lib/node_modules/sqlite3
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/underscore /usr/lib/node_modules/underscore
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/zipfile /usr/lib/node_modules/zipfile
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/step /usr/lib/node_modules/step
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/request /usr/lib/node_modules/request
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/mime /usr/lib/node_modules/mime
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/generic-pool /usr/lib/node_modules/generic-pool
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/mkdirp /usr/lib/node_modules/mkdirp
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/srs /usr/lib/node_modules/srs
1 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-millstone
nodejs-millstone.noarch: W: spelling-error %description -l en_US carto -> cart, carton, carts
nodejs-millstone.noarch: W: only-non-binary-in-usr-lib
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/sqlite3 /usr/lib/node_modules/sqlite3
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/underscore /usr/lib/node_modules/underscore
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/zipfile /usr/lib/node_modules/zipfile
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/step /usr/lib/node_modules/step
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/request /usr/lib/node_modules/request
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/mime /usr/lib/node_modules/mime
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/generic-pool /usr/lib/node_modules/generic-pool
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/mkdirp /usr/lib/node_modules/mkdirp
nodejs-millstone.noarch: W: dangling-symlink /usr/lib/node_modules/millstone/node_modules/srs /usr/lib/node_modules/srs
1 packages and 0 specfiles checked; 0 errors, 11 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-millstone (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(generic-pool)
    npm(mime)
    npm(mkdirp)
    npm(request)
    npm(sqlite3)
    npm(srs)
    npm(step)
    npm(underscore)
    npm(zipfile)



Provides
--------
nodejs-millstone:
    nodejs-millstone
    npm(millstone)



MD5-sum check
-------------
http://registry.npmjs.org/millstone/-/millstone-0.5.15.tgz :
  CHECKSUM(SHA256) this package     : caf6cc317b989ad875f89ec1b5d863c12f94d520a8e9870cff99d6aa8f340869
  CHECKSUM(SHA256) upstream package : caf6cc317b989ad875f89ec1b5d863c12f94d520a8e9870cff99d6aa8f340869


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review --rpm-spec -n nodejs-millstone-0.5.15-1.fc18.src.rpm

Comment 2 Jamie Nguyen 2013-03-10 16:29:49 UTC
Oops. Ignore the issues section above. License is fine.

Package approved!

Comment 3 Tom Hughes 2013-03-10 16:32:56 UTC
New Package SCM Request
=======================
Package Name: nodejs-millstone
Short Description: Prepares data sources in an MML file for consumption in Mapnik
Owners: tomh
Branches: f18
InitialCC:

Comment 4 Gwyn Ciesla 2013-03-11 12:23:31 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-03-11 13:49:18 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-millstone-0.5.15-1.fc18, nodejs-oauth-0.9.10-1.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-3075/nodejs-millstone-0.5.15-1.fc18,nodejs-oauth-0.9.10-1.fc18,nodejs-srs-0.2.20-1.fc18,nodejs-sqlite3-2.1.5-3.fc18,nodejs-zipfile-0.3.4-2.fc18,nodejs-xml2js-0.2.6-2.fc18,nodejs-zap-0.2.5-2.fc18,nodejs-step-0.0.5-1.fc18,nodejs-passport-0.1.16-1.fc18,nodejs-sphericalmercator-1.0.2-1.fc18,nodejs-mapnik-reference-5.0.4-2.fc18,nodejs-chrono-1.0.4-1.fc18

Comment 6 Fedora Update System 2013-03-12 08:30:07 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-millstone-0.5.15-1.fc18, nodejs-oauth-0.9.10-1.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 7 Fedora Update System 2013-03-12 23:28:54 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-millstone-0.5.15-1.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 8 Fedora Update System 2013-03-15 00:05:27 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-millstone-0.5.15-2.fc18, nodejs-srs-0.2.20-2.fc18, nodejs-sqlite3-2.1.5-4.fc18, nodejs-zipfile-0.3.4-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-04-07 00:38:19 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-millstone-0.5.15-2.fc18, nodejs-srs-0.2.20-2.fc18, nodejs-sqlite3-2.1.5-4.fc18, nodejs-zipfile-0.3.4-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.